com.fasterxml.jackson.databind.jsonschema

## Interface SchemaAware

All Known Implementing Classes:
  ArraySerializerBase, AsArraySerializerBase, AtomicReferenceSerializer, BeanAsArraySerializer, BeanSerializer, BeanSerializerBase, BooleanSerializer, ByteArraySerializer, ByteBufferSerializer, CalendarSerializer, ClassSerializer, CollectionSerializer, ContainerSerializer, CoreXMLSerializers.XMLGregorianCalendarSerializer, DateSerializer, DateTimeSerializerBase, DOMSerializer, EnumSerializer, EnumSetSerializer, FailingSerializer, FileSerializer, IndexedListSerializer, IndexedStringListSerializer, InetAddressSerializer, InetSocketAddressSerializer, IterableSerializer, IteratorSerializer, JsonValueSerializer, MapEntrySerializer, MapSerializer, NioPathSerializer, NonTypedScalarSerializerBase, NullSerializer, NumberSerializer, NumberSerializers.Base, NumberSerializers.DoubleSerializer, NumberSerializers.FloatSerializer, NumberSerializers.IntegerSerializer, NumberSerializers.IntLikeSerializer, NumberSerializers.LongSerializer, NumberSerializers.ShortSerializer, ObjectArraySerializer, RawSerializer, ReferenceTypeSerializer, SerializableSerializer, SqlDateSerializer, SqlTimeSerializer, StaticListSerializerBase, StdArraySerializers.BooleanArraySerializer, StdArraySerializers.CharArraySerializer, StdArraySerializers.DoubleArraySerializer, StdArraySerializers.FloatArraySerializer, StdArraySerializers.IntArraySerializer, StdArraySerializers.LongArraySerializer, StdArraySerializers.ShortArraySerializer, StdArraySerializers.TypedPrimitiveArraySerializer, StdDelegatingSerializer, StdJdkSerializers.AtomicBooleanSerializer, StdJdkSerializers.AtomicIntegerSerializer, StdJdkSerializers.AtomicLongSerializer, StdKeySerializer, StdKeySerializers.Default, StdKeySerializers.Dynamic, StdKeySerializers.EnumKeySerializer, StdKeySerializers.StringKeySerializer, StdScalarSerializer, StdSerializer, StringArraySerializer, StringCollectionSerializer, StringSerializer, TimeZoneSerializer, TokenBufferSerializer, ToStringSerializer, UnknownSerializer, UnwrappingBeanSerializer, UUIDSerializer

    public interface SchemaAware

Marker interface for schema-aware serializers.

### Method Summary

Methods
`JsonNode` `getSchema(SerializerProvider provider, Type typeHint)` Get the representation of the schema to which this serializer will conform.
`JsonNode` `getSchema(SerializerProvider provider, Type typeHint, boolean isOptional)` Get the representation of the schema to which this serializer will conform.

### Method Detail

#### getSchema

    JsonNode getSchema(SerializerProvider provider,
                     Type typeHint)
                       throws JsonMappingException

Get the representation of the schema to which this serializer will conform.

Parameters:
  `provider` - The serializer provider.
  `typeHint` - A hint about the type.
Returns:
  Json-schema for this serializer.
Throws:
  `JsonMappingException`

#### getSchema

    JsonNode getSchema(SerializerProvider provider,
                     Type typeHint,
                     boolean isOptional)
                       throws JsonMappingException

Get the representation of the schema to which this serializer will conform.

Parameters:
  `provider` - The serializer provider.
  `isOptional` - Is the type optional
  `typeHint` - A hint about the type.
Returns:
  Json-schema for this serializer.
Throws:
  `JsonMappingException`